<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="specification.aspx.cs" Inherits="PPFOR.Admin.CustomView.specification" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>选择规格</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />    
    <link href="../Css/global.css" rel="stylesheet" type="text/css" /> 
    <script type="text/javascript">
    function checkSpecSeletedChanged(specIdArray)
    {
        var specValueArray={};
        if(specIdArray!=null && specIdArray.length>0){
            for(var i=0;i<specIdArray.length;i++){
                var specValues=document.getElementsByName('specValues_' + specIdArray[i]);
                if(specValues!=null && specValues.length>0){
                    var values={};
                    var count=0;
                    for(var j=0;j<specValues.length;j++){                     
                        if(specValues[j].checked){
                            var valueId=specValues[j].value;
                            values[valueId]={id:valueId,value:specValues[j].getAttribute('svValue'),isImage:specValues[j].getAttribute('isImage'),image:specValues[j].getAttribute('svImage')};
                            count++;
                        }
                    }
                    var sName=document.getElementById('specNames_' + specIdArray[i]).value;
                    if(values!=null && count>0){
                        specValueArray[specIdArray[i]]={specId:specIdArray[i],specName:sName,specValues:values,specValueCount:count};    
                    }        
                }
            }
        }
        parent.showSpecValueList(specValueArray);
        parent.popup_close();
        return false;
    }
    function checkAll(objMe,name){
        var objInput= document.getElementsByName(name);
        for(var i=0; i<objInput.length; i++)
        {
            if(objInput[i].type=="checkbox")
            {
                objInput[i].checked = objMe.checked;
            }
        }
    }
    </script>
</head>
<body>
<form id="form1" runat="server">
    <center>
    <asp:Label ID="PPFOR_showSpecList" runat="server"></asp:Label>  
    </center>
</form>
</body>
</html>